# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['nautobot',
 'nautobot.circuits',
 'nautobot.circuits.api',
 'nautobot.circuits.graphql',
 'nautobot.circuits.migrations',
 'nautobot.circuits.tests',
 'nautobot.core',
 'nautobot.core.api',
 'nautobot.core.graphql',
 'nautobot.core.management',
 'nautobot.core.management.commands',
 'nautobot.core.models',
 'nautobot.core.runner',
 'nautobot.core.tests',
 'nautobot.core.views',
 'nautobot.dcim',
 'nautobot.dcim.api',
 'nautobot.dcim.graphql',
 'nautobot.dcim.management',
 'nautobot.dcim.management.commands',
 'nautobot.dcim.migrations',
 'nautobot.dcim.models',
 'nautobot.dcim.tables',
 'nautobot.dcim.tests',
 'nautobot.extras',
 'nautobot.extras.api',
 'nautobot.extras.datasources',
 'nautobot.extras.graphql',
 'nautobot.extras.management',
 'nautobot.extras.management.commands',
 'nautobot.extras.migrations',
 'nautobot.extras.models',
 'nautobot.extras.plugins',
 'nautobot.extras.templatetags',
 'nautobot.extras.tests',
 'nautobot.extras.tests.dummy_jobs',
 'nautobot.extras.tests.dummy_plugin',
 'nautobot.extras.tests.dummy_plugin.api',
 'nautobot.extras.tests.dummy_plugin.graphql',
 'nautobot.extras.tests.dummy_plugin.migrations',
 'nautobot.extras.tests.dummy_plugin_dependency',
 'nautobot.ipam',
 'nautobot.ipam.api',
 'nautobot.ipam.graphql',
 'nautobot.ipam.migrations',
 'nautobot.ipam.tests',
 'nautobot.tenancy',
 'nautobot.tenancy.api',
 'nautobot.tenancy.migrations',
 'nautobot.tenancy.tests',
 'nautobot.users',
 'nautobot.users.api',
 'nautobot.users.migrations',
 'nautobot.users.tests',
 'nautobot.utilities',
 'nautobot.utilities.forms',
 'nautobot.utilities.management',
 'nautobot.utilities.management.commands',
 'nautobot.utilities.templatetags',
 'nautobot.utilities.testing',
 'nautobot.utilities.tests',
 'nautobot.virtualization',
 'nautobot.virtualization.api',
 'nautobot.virtualization.migrations',
 'nautobot.virtualization.tests']

package_data = \
{'': ['*'],
 'nautobot': ['docs/*',
              'docs/additional-features/*',
              'docs/administration/*',
              'docs/configuration/*',
              'docs/configuration/authentication/*',
              'docs/core-functionality/*',
              'docs/development/*',
              'docs/img/*',
              'docs/installation/*',
              'docs/media/*',
              'docs/media/installation/*',
              'docs/media/models/*',
              'docs/media/plugins/*',
              'docs/models/circuits/*',
              'docs/models/dcim/*',
              'docs/models/extras/*',
              'docs/models/ipam/*',
              'docs/models/tenancy/*',
              'docs/models/users/*',
              'docs/models/virtualization/*',
              'docs/plugins/*',
              'docs/release-notes/*',
              'docs/rest-api/*',
              'project-static/bootstrap-3.4.1-dist/css/*',
              'project-static/bootstrap-3.4.1-dist/fonts/*',
              'project-static/bootstrap-3.4.1-dist/js/*',
              'project-static/clipboard.js/*',
              'project-static/css/*',
              'project-static/flatpickr-4.6.3/*',
              'project-static/flatpickr-4.6.3/themes/*',
              'project-static/img/*',
              'project-static/jquery-ui-1.12.1/*',
              'project-static/jquery-ui-1.12.1/external/jquery/*',
              'project-static/jquery-ui-1.12.1/images/*',
              'project-static/jquery/*',
              'project-static/js/*',
              'project-static/materialdesignicons-5.4.55/*',
              'project-static/materialdesignicons-5.4.55/.github/*',
              'project-static/materialdesignicons-5.4.55/css/*',
              'project-static/materialdesignicons-5.4.55/fonts/*',
              'project-static/materialdesignicons-5.4.55/scss/*',
              'project-static/select2-4.0.13/*',
              'project-static/select2-4.0.13/.github/*',
              'project-static/select2-4.0.13/.github/workflows/*',
              'project-static/select2-4.0.13/dist/css/*',
              'project-static/select2-4.0.13/dist/js/*',
              'project-static/select2-4.0.13/dist/js/i18n/*',
              'project-static/select2-4.0.13/docs/*',
              'project-static/select2-4.0.13/docs/accounts/*',
              'project-static/select2-4.0.13/docs/assets/*',
              'project-static/select2-4.0.13/docs/config/*',
              'project-static/select2-4.0.13/docs/config/plugins/*',
              'project-static/select2-4.0.13/docs/data/*',
              'project-static/select2-4.0.13/docs/localhost/config/*',
              'project-static/select2-4.0.13/docs/pages/01.getting-started/*',
              'project-static/select2-4.0.13/docs/pages/01.getting-started/01.installation/*',
              'project-static/select2-4.0.13/docs/pages/01.getting-started/02.basic-usage/*',
              'project-static/select2-4.0.13/docs/pages/01.getting-started/03.builds-and-modules/*',
              'project-static/select2-4.0.13/docs/pages/02.troubleshooting/*',
              'project-static/select2-4.0.13/docs/pages/02.troubleshooting/01.getting-help/*',
              'project-static/select2-4.0.13/docs/pages/02.troubleshooting/02.common-problems/*',
              'project-static/select2-4.0.13/docs/pages/03.configuration/*',
              'project-static/select2-4.0.13/docs/pages/03.configuration/01.options-api/*',
              'project-static/select2-4.0.13/docs/pages/03.configuration/02.defaults/*',
              'project-static/select2-4.0.13/docs/pages/03.configuration/03.data-attributes/*',
              'project-static/select2-4.0.13/docs/pages/04.appearance/*',
              'project-static/select2-4.0.13/docs/pages/05.options/*',
              'project-static/select2-4.0.13/docs/pages/06.data-sources/*',
              'project-static/select2-4.0.13/docs/pages/06.data-sources/01.formats/*',
              'project-static/select2-4.0.13/docs/pages/06.data-sources/02.ajax/*',
              'project-static/select2-4.0.13/docs/pages/06.data-sources/03.arrays/*',
              'project-static/select2-4.0.13/docs/pages/07.dropdown/*',
              'project-static/select2-4.0.13/docs/pages/08.selections/*',
              'project-static/select2-4.0.13/docs/pages/09.tagging/*',
              'project-static/select2-4.0.13/docs/pages/10.placeholders/*',
              'project-static/select2-4.0.13/docs/pages/11.searching/*',
              'project-static/select2-4.0.13/docs/pages/12.programmatic-control/*',
              'project-static/select2-4.0.13/docs/pages/12.programmatic-control/01.add-select-clear-items/*',
              'project-static/select2-4.0.13/docs/pages/12.programmatic-control/02.retrieving-selections/*',
              'project-static/select2-4.0.13/docs/pages/12.programmatic-control/03.methods/*',
              'project-static/select2-4.0.13/docs/pages/12.programmatic-control/04.events/*',
              'project-static/select2-4.0.13/docs/pages/13.i18n/*',
              'project-static/select2-4.0.13/docs/pages/14.advanced/*',
              'project-static/select2-4.0.13/docs/pages/14.advanced/01.adapters-and-decorators/*',
              'project-static/select2-4.0.13/docs/pages/14.advanced/02.default-adapters/*',
              'project-static/select2-4.0.13/docs/pages/14.advanced/02.default-adapters/01.selection/*',
              'project-static/select2-4.0.13/docs/pages/14.advanced/02.default-adapters/02.array/*',
              'project-static/select2-4.0.13/docs/pages/14.advanced/02.default-adapters/03.ajax/*',
              'project-static/select2-4.0.13/docs/pages/14.advanced/02.default-adapters/04.data/*',
              'project-static/select2-4.0.13/docs/pages/14.advanced/02.default-adapters/05.results/*',
              'project-static/select2-4.0.13/docs/pages/14.advanced/02.default-adapters/06.dropdown/*',
              'project-static/select2-4.0.13/docs/pages/15.upgrading/*',
              'project-static/select2-4.0.13/docs/pages/15.upgrading/01.new-in-40/*',
              'project-static/select2-4.0.13/docs/pages/15.upgrading/02.migrating-from-35/*',
              'project-static/select2-4.0.13/docs/pages/images/*',
              'project-static/select2-4.0.13/docs/pages/images/flags/*',
              'project-static/select2-4.0.13/docs/plugins/*',
              'project-static/select2-4.0.13/docs/plugins/anchors/*',
              'project-static/select2-4.0.13/docs/plugins/anchors/js/*',
              'project-static/select2-4.0.13/docs/plugins/breadcrumbs/*',
              'project-static/select2-4.0.13/docs/plugins/breadcrumbs/assets/*',
              'project-static/select2-4.0.13/docs/plugins/breadcrumbs/classes/*',
              'project-static/select2-4.0.13/docs/plugins/breadcrumbs/css/*',
              'project-static/select2-4.0.13/docs/plugins/breadcrumbs/templates/partials/*',
              'project-static/select2-4.0.13/docs/plugins/error/*',
              'project-static/select2-4.0.13/docs/plugins/error/assets/*',
              'project-static/select2-4.0.13/docs/plugins/error/cli/*',
              'project-static/select2-4.0.13/docs/plugins/error/pages/*',
              'project-static/select2-4.0.13/docs/plugins/error/templates/*',
              'project-static/select2-4.0.13/docs/plugins/highlight/*',
              'project-static/select2-4.0.13/docs/plugins/highlight/assets/*',
              'project-static/select2-4.0.13/docs/plugins/highlight/css/*',
              'project-static/select2-4.0.13/docs/plugins/highlight/js/*',
              'project-static/select2-4.0.13/docs/plugins/problems/*',
              'project-static/select2-4.0.13/docs/plugins/problems/assets/*',
              'project-static/select2-4.0.13/docs/plugins/problems/css/*',
              'project-static/select2-4.0.13/docs/plugins/problems/html/*',
              'project-static/select2-4.0.13/docs/plugins/simplesearch/*',
              'project-static/select2-4.0.13/docs/plugins/simplesearch/assets/*',
              'project-static/select2-4.0.13/docs/plugins/simplesearch/css/*',
              'project-static/select2-4.0.13/docs/plugins/simplesearch/js/*',
              'project-static/select2-4.0.13/docs/plugins/simplesearch/pages/*',
              'project-static/select2-4.0.13/docs/plugins/simplesearch/templates/*',
              'project-static/select2-4.0.13/docs/plugins/simplesearch/templates/partials/*',
              'project-static/select2-4.0.13/docs/themes/*',
              'project-static/select2-4.0.13/docs/themes/learn2/*',
              'project-static/select2-4.0.13/docs/themes/learn2/blueprints/*',
              'project-static/select2-4.0.13/docs/themes/learn2/css-compiled/*',
              'project-static/select2-4.0.13/docs/themes/learn2/css/*',
              'project-static/select2-4.0.13/docs/themes/learn2/css/pure-0.5.0/*',
              'project-static/select2-4.0.13/docs/themes/learn2/fonts/*',
              'project-static/select2-4.0.13/docs/themes/learn2/images/*',
              'project-static/select2-4.0.13/docs/themes/learn2/js/*',
              'project-static/select2-4.0.13/docs/themes/learn2/scss/*',
              'project-static/select2-4.0.13/docs/themes/learn2/scss/configuration/nucleus/*',
              'project-static/select2-4.0.13/docs/themes/learn2/scss/configuration/theme/*',
              'project-static/select2-4.0.13/docs/themes/learn2/scss/nucleus/*',
              'project-static/select2-4.0.13/docs/themes/learn2/scss/nucleus/functions/*',
              'project-static/select2-4.0.13/docs/themes/learn2/scss/nucleus/mixins/*',
              'project-static/select2-4.0.13/docs/themes/learn2/scss/nucleus/particles/*',
              'project-static/select2-4.0.13/docs/themes/learn2/scss/theme/*',
              'project-static/select2-4.0.13/docs/themes/learn2/scss/theme/modules/*',
              'project-static/select2-4.0.13/docs/themes/learn2/scss/vendor/bourbon/*',
              'project-static/select2-4.0.13/docs/themes/learn2/scss/vendor/bourbon/addons/*',
              'project-static/select2-4.0.13/docs/themes/learn2/scss/vendor/bourbon/css3/*',
              'project-static/select2-4.0.13/docs/themes/learn2/scss/vendor/bourbon/functions/*',
              'project-static/select2-4.0.13/docs/themes/learn2/scss/vendor/bourbon/helpers/*',
              'project-static/select2-4.0.13/docs/themes/learn2/scss/vendor/bourbon/settings/*',
              'project-static/select2-4.0.13/docs/themes/learn2/scss/vendor/color-schemer/*',
              'project-static/select2-4.0.13/docs/themes/learn2/scss/vendor/color-schemer/color-schemer/*',
              'project-static/select2-4.0.13/docs/themes/learn2/templates/*',
              'project-static/select2-4.0.13/docs/themes/learn2/templates/partials/*',
              'project-static/select2-4.0.13/docs/themes/site/*',
              'project-static/select2-4.0.13/docs/themes/site/css/*',
              'project-static/select2-4.0.13/docs/themes/site/images/*',
              'project-static/select2-4.0.13/docs/themes/site/js/*',
              'project-static/select2-4.0.13/docs/themes/site/templates/partials/*',
              'project-static/select2-4.0.13/docs/themes/site/templates/partials/js/*',
              'project-static/select2-4.0.13/src/js/*',
              'project-static/select2-4.0.13/src/js/select2/*',
              'project-static/select2-4.0.13/src/js/select2/compat/*',
              'project-static/select2-4.0.13/src/js/select2/data/*',
              'project-static/select2-4.0.13/src/js/select2/dropdown/*',
              'project-static/select2-4.0.13/src/js/select2/i18n/*',
              'project-static/select2-4.0.13/src/js/select2/selection/*',
              'project-static/select2-4.0.13/src/scss/*',
              'project-static/select2-4.0.13/src/scss/mixins/*',
              'project-static/select2-4.0.13/src/scss/theme/classic/*',
              'project-static/select2-4.0.13/src/scss/theme/default/*',
              'project-static/select2-4.0.13/tests/*',
              'project-static/select2-4.0.13/tests/a11y/*',
              'project-static/select2-4.0.13/tests/data/*',
              'project-static/select2-4.0.13/tests/dropdown/*',
              'project-static/select2-4.0.13/tests/integration/*',
              'project-static/select2-4.0.13/tests/options/*',
              'project-static/select2-4.0.13/tests/results/*',
              'project-static/select2-4.0.13/tests/selection/*',
              'project-static/select2-4.0.13/tests/utils/*',
              'project-static/select2-4.0.13/tests/vendor/*',
              'project-static/select2-bootstrap-0.1.0-beta.10/*'],
 'nautobot.circuits': ['templates/circuits/*', 'templates/circuits/inc/*'],
 'nautobot.core': ['templates/*',
                   'templates/admin/*',
                   'templates/drf-yasg/*',
                   'templates/exceptions/*',
                   'templates/generic/*',
                   'templates/graphene/*',
                   'templates/inc/*',
                   'templates/rest_framework/*'],
 'nautobot.dcim': ['templates/dcim/*',
                   'templates/dcim/device/*',
                   'templates/dcim/inc/*',
                   'templates/dcim/trace/*'],
 'nautobot.extras': ['templates/extras/*',
                     'templates/extras/admin/*',
                     'templates/extras/inc/*',
                     'templates/extras/templatetags/*'],
 'nautobot.ipam': ['templates/ipam/*', 'templates/ipam/inc/*'],
 'nautobot.tenancy': ['templates/tenancy/*'],
 'nautobot.users': ['templates/users/*'],
 'nautobot.utilities': ['templates/buttons/*',
                        'templates/utilities/*',
                        'templates/utilities/templatetags/*',
                        'templates/widgets/*'],
 'nautobot.virtualization': ['templates/virtualization/*']}

install_requires = \
['Django>=3.1.7,<3.2.0',
 'GitPython>=3.1.13,<3.2.0',
 'Jinja2>=2.11.3,<2.12.0',
 'Markdown>=3.3.3,<3.4.0',
 'Pillow>=8.1.0,<8.2.0',
 'PyYAML>=5.4.1,<5.5.0',
 'django-cacheops>=5.1,<5.2',
 'django-cors-headers>=3.7.0,<3.8.0',
 'django-cryptography>=1.0,<1.1',
 'django-filter>=2.4.0,<2.5.0',
 'django-mptt>=0.11.0,<0.12.0',
 'django-pglocks>=1.0.4,<1.1.0',
 'django-prometheus>=2.1.0,<2.2.0',
 'django-rq>=2.4.0,<3.0.0',
 'django-tables2>=2.3.4,<2.4.0',
 'django-taggit>=1.3.0,<1.4.0',
 'django-timezone-field>=4.1.1,<4.2.0',
 'django-webserver>=1.2.0,<1.3.0',
 'djangorestframework>=3.12.2,<3.13.0',
 'drf-yasg[validation]>=1.20.0,<1.21.0',
 'graphene-django>=2.15.0,<2.16.0',
 'netaddr>=0.8.0,<0.9.0',
 'psycopg2-binary>=2.8.6,<2.9.0',
 'pycryptodome>=3.10.1,<3.11.0',
 'pyuwsgi>=2.0.19,<3.0.0',
 'social-auth-app-django>=4.0.0,<5.0.0',
 'svgwrite>=1.4.1,<1.5.0']

extras_require = \
{':python_version < "3.8"': ['importlib-metadata>=3.4.0,<3.5.0']}

entry_points = \
{'console_scripts': ['nautobot-server = nautobot.core.cli:main']}

setup_kwargs = {
    'name': 'nautobot',
    'version': '1.0.0b3',
    'description': 'Source of truth and network automation platform.',
    'long_description': '![Nautobot](https://raw.githubusercontent.com/nautobot/nautobot/develop/nautobot/docs/nautobot_logo.svg "Nautobot logo")\n\nNautobot is a Network Source of Truth and Network Automation Platform.  \n\n> Nautobot was initially developed as a fork of NetBox (v2.10.4).  NetBox was originally developed by Jeremy Stretch at DigitalOcean and the NetBox Community.\n\nNautobot runs as a web application atop the [Django](https://www.djangoproject.com/)\nPython framework with a [PostgreSQL](https://www.postgresql.org/) database. \n\nThe complete documentation for Nautobot can be found at [Read the Docs](https://nautobot.readthedocs.io/en/latest/).\n\nQuestions? Comments? Start by perusing our [GitHub discussions](https://github.com/nautobot/nautobot/discussions) for the topic you have in mind,\nor join us in the **#nautobot** Slack channel on [Network to Code](https://networktocode.slack.com)!\n\n### Build Status\n\n| Branch      | Status |\n|-------------|------------|\n| **main** | [![Build Status](https://travis-ci.com/nautobot/nautobot.svg?branch=main)](https://travis-ci.com/nautobot/nautobot) |\n| **develop** | [![Build Status](https://travis-ci.com/nautobot/nautobot.svg?branch=develop)](https://travis-ci.com/nautobot/nautobot) |\n\n### Screenshots\n\n![Screenshot of main page](https://raw.githubusercontent.com/nautobot/nautobot/develop/nautobot/docs/media/screenshot1.png "Main page")\n\n---\n\n![Screenshot of rack elevation](https://raw.githubusercontent.com/nautobot/nautobot/develop/nautobot/docs/media/screenshot2.png "Rack elevation")\n\n---\n\n![Screenshot of prefix hierarchy](https://raw.githubusercontent.com/nautobot/nautobot/develop/nautobot/docs/media/screenshot3.png "Prefix hierarchy")\n\n## Installation\n\nPlease see [the documentation](https://nautobot.readthedocs.io/en/latest/installation/) for\ninstructions on installing Nautobot.\n\n## Providing Feedback\n\nThe best platform for general feedback, assistance, and other discussion is our\n[GitHub discussions](https://github.com/nautobot/nautobot/discussions).\nTo report a bug or request a specific feature, please open a GitHub issue using\nthe [appropriate template](https://github.com/nautobot/nautobot/issues/new/choose).\n\nIf you are interested in contributing to the development of Nautobot, please read\nour [contributing guide](CONTRIBUTING.md) prior to beginning any work.\n\n## Related projects\n\nPlease see [our wiki](https://github.com/nautobot/nautobot/wiki/Related-Projects)\nfor a list of relevant community projects.\n',
    'author': 'Network to Code',
    'author_email': 'opensource@networktocode.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://nautobot.com',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'entry_points': entry_points,
    'python_requires': '>=3.6,<4.0',
}


setup(**setup_kwargs)
